> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets transaction info

> Gets the details of the transaction, including the link to the results if processing has finished, or the manual
review link if manual review is needed.



## OpenAPI

````yaml /openapi.json get /api/publicapi/v1/transactions/{transactionId}
openapi: 3.0.4
info:
  title: Vantage processing REST API
  description: 'Environment: Production<br>Product Version: 1.6.17'
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - url: https://vantage-us.abbyy.com
    description: Production United States
  - url: https://vantage-eu.abbyy.com
    description: Production Europe
  - url: https://vantage-au.abbyy.com
    description: Production Australia
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}:
    get:
      tags:
        - Transactions
      summary: Gets transaction info
      description: >-
        Gets the details of the transaction, including the link to the results
        if processing has finished, or the manual

        review link if manual review is needed.
      operationId: GetTransactionInfo
      parameters:
        - name: transactionId
          in: path
          description: >-
            Transaction identifier. You receive it in the response after the
            transaction has been

            successfully created.
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Transaction info is successfully returned
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
        '404':
          description: Transaction not found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.TransactionDto:
      required:
        - id
        - status
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.TransactionStatus
        manualReviewLink:
          type: string
          nullable: true
        documents:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ExtractedDocumentDto
          nullable: true
        error:
          type: string
          nullable: true
        sourceFiles:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto
          nullable: true
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Abbyy.Vantage.PublicApi.Contract.Transactions.TransactionStatus:
      enum:
        - New
        - Processing
        - Processed
        - Failed
        - Canceled
      type: string
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ExtractedDocumentDto:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          format: uuid
        resultFiles:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ResultFileDto
          description: Will be empty for classification skill
          nullable: true
        classification:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationDto
        businessRulesErrors:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.DocumentBusinessRulesErrorDto
          nullable: true
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.FileDto:
      required:
        - id
        - name
      type: object
      properties:
        id:
          minLength: 1
          type: string
          description: Unique identifier of the file
        name:
          minLength: 1
          type: string
          description: Name of the file. Must be unique to transaction
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ResultFileDto:
      required:
        - fileId
        - fileName
        - type
      type: object
      properties:
        fileId:
          minLength: 1
          type: string
          description: Uuid in storage
        fileName:
          minLength: 1
          type: string
          description: 'Predefined scheme: [documents skill name].[extension]'
        type:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.ResultFileType
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationDto:
      required:
        - classConfidences
        - isResultClassConfident
        - resultClass
      type: object
      properties:
        isResultClassConfident:
          type: boolean
        resultClass:
          $ref: >-
            #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassDto
        classConfidences:
          type: array
          items:
            $ref: >-
              #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationConfidenceDto
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.DocumentBusinessRulesErrorDto:
      required:
        - currentFieldId
        - errorType
        - ruleId
      type: object
      properties:
        errorType:
          minLength: 1
          type: string
          description: Normalization, Condition, Unknown...
        customMessage:
          type: string
          description: Custom error message
          nullable: true
        ruleId:
          minLength: 1
          type: string
          description: ID of the rule that encountered the error
        currentFieldId:
          minLength: 1
          type: string
          description: >-
            ID of the field in the context that the rule was run and the error
            was generated
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.ResultFileType:
      enum:
        - Json
        - Pdf
        - Text
        - Docx
        - Xlsx
        - OcrJson
        - FieldsJson
        - FieldPicture
        - Xml
        - Tiff
        - Jpeg
        - Csv
        - Html
        - Pptx
        - Alto
        - Png
      type: string
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassDto:
      type: object
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
      additionalProperties: false
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.ClassificationConfidenceDto:
      required:
        - classId
        - className
        - confidence
      type: object
      properties:
        classId:
          minLength: 1
          type: string
        className:
          minLength: 1
          type: string
        confidence:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions

````